org.modeshape.jcr.query.lucene

## Class CaseOperations

- java.lang.Object
- - org.modeshape.jcr.query.lucene.CaseOperations

-     @Immutable
      public class CaseOperations
      extends Object

  A set of functions that can be used to operate upon the case of a string stored in the indexes before being evaluated against criteria from a query.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CaseOperations.CaseOperation` A function that can be used to operate upon the case of a string stored in the indexes before being evaluated against criteria from a query.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CaseOperations.CaseOperation` | `AS_IS` The CaseOperation instance that leaves as is the string used within the indexes before being evaluated.
    `static CaseOperations.CaseOperation` | `LOWERCASE` The CaseOperation instance that lowercases the string used within the indexes before being evaluated.
    `static CaseOperations.CaseOperation` | `UPPERCASE` The CaseOperation instance that uppercases the string used within the indexes before being evaluated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseOperations()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AS_IS

          public static final CaseOperations.CaseOperation AS_IS

      The CaseOperation instance that leaves as is the string used within the indexes before being evaluated.

    - #### LOWERCASE

          public static final CaseOperations.CaseOperation LOWERCASE

      The CaseOperation instance that lowercases the string used within the indexes before being evaluated.

    - #### UPPERCASE

          public static final CaseOperations.CaseOperation UPPERCASE

      The CaseOperation instance that uppercases the string used within the indexes before being evaluated.

  - ### Constructor Detail

    - #### CaseOperations

          public CaseOperations()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.